/*
 *	SCCS: @(#)getsysid.c	1.3 (99/11/15)
 *
 *	UniSoft Ltd., London, England
 *
 * Copyright (c) 1996 The Open Group
 * All rights reserved.
 *
 * No part of this source code may be reproduced, stored in a retrieval
 * system, or transmitted, in any form or by any means, electronic,
 * mechanical, photocopying, recording or otherwise, except as stated
 * in the end-user licence agreement, without the prior permission of
 * the copyright owners.
 * A copy of the end-user licence agreement is contained in the file
 * Licence which accompanies this distribution.
 * 
 * Motif, OSF/1, UNIX and the "X" device are registered trademarks and
 * IT DialTone and The Open Group are trademarks of The Open Group in
 * the US and other countries.
 *
 * X/Open is a trademark of X/Open Company Limited in the UK and other
 * countries.
 *
 */

#ifndef lint
static char sccsid[] = "@(#)getsysid.c	1.3 (99/11/15) TET3 release 3.6";
#endif

/************************************************************************

SCCS:   	@(#)getsysid.c	1.3 99/11/15 TETware release 3.6
NAME:		getsysid.c
PRODUCT:	TETware
AUTHOR:		Geoff Clare, UniSoft Ltd.
DATE CREATED:	September 1996

SYNOPSIS:
	#include "tet_api.h"
	int tet_getsysbyid(int sysid, struct tet_sysent *sysp);

DESCRIPTION:
	DTET API function

	Tet_getsysbyid() places the `systems' file entry for the
	specified system ID into the space pointed to by sysp.
	It is not supported in TETware-Lite.

MODIFICATIONS:

	Andrew Dingwall, UniSoft Ltd., August 1998
	Moved tet_getsysbyid() from getsys.c to here.
 
	Andrew Dingwall, UniSoft Ltd., July 1999
	added support for 'other language' APIs

	Andrew Dingwall, UniSoft Ltd., October 1999
	added support for strict POSIX threads

************************************************************************/


int tet_getsysid_c_not_used;


