/*
 *      SCCS:  @(#)ptab.h	1.10 (99/11/15) 
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 * (C) Copyright 1994 UniSoft Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/************************************************************************

SCCS:   	@(#)ptab.h	1.10 99/11/15 TETware release 3.6
NAME:		ptab.h
PRODUCT:	TETware
AUTHOR:		Andrew Dingwall, UniSoft Ltd.
DATE CREATED:	April 1992

DESCRIPTION:
	per-process information table description

REQUIRES PRIOR INCLUSION OF:
	<time.h>	(for time_t)
	"dtmac.h"
	"dtmsg.h"

MODIFICATIONS:
	Andrew Dingwall, UniSoft Ltd., November 1993
	modifications for use with FIFO transport library

	Geoff Clare, UniSoft Ltd., October 1996
	Added <time.h> (needed when compiled with _POSIX_SOURCE).

	Andrew Dingwall, UniSoft Ltd., July 1998
	Added support for shared API libraries.
	Only make the contents of this file visible when building
	Distributed TETware.

	Andrew Dingwall, UniSoft Ltd., July 1999
	declare tet_ptab in this file rather than having declarations
	scattered around the various .c files
 
	Andrew Dingwall, UniSoft Ltd., October 1999
	added #define TET_STRUCT_PTAB_DEFINED so that other header files 
	can conditionally exclude declarations that use struct ptab

************************************************************************/


